/**
 * $Id$
 *
 * Copyright (C) shinichiro.h <hamaji@nii.ac.jp>
 *  http://shinh.skr.jp/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef gui_h_
#define gui_h_

typedef void widget;

widget* gui_init(int* argc, char*** argv, char* title);

widget* gui_button_new(char* label);
widget* gui_text_new(const char* value);
widget* gui_label_new(char* label);
widget* gui_select_new(char** list, int size, int selected);
widget* gui_checkbox_new(int checked);
widget* gui_radio_new(widget* r, int checked);
widget* gui_img_new(const char* file);

const char* gui_text_get(widget* w);
int gui_checkbox_get(widget* w);
int gui_radio_get(widget* w);
int gui_select_get(widget* w);

widget* gui_frame_new(widget* w, const char* label);
widget* gui_vbox_new(int size);
widget* gui_hbox_new(int size);
widget* gui_table_new(int x, int y);

void gui_add(widget* parent, widget* w);
void gui_pack(widget* box, widget* w);
void gui_attach(widget* table, widget* w, int l, int r, int t, int b);

void gui_start(widget* w);

void commit_rc();

#endif // ! gui_h_

