/**
 * $Id$
 *
 * Copyright (C) shinichiro.h <hamaji@nii.ac.jp>
 *  http://shinh.skr.jp/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef rc_h_
#define rc_h_

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
    char* arg1;
    char* arg2;
} RCE;

typedef struct {
    int num;
    RCE* rce;
} RCEV;

typedef struct {
    RCEV lines;
    RCEV adds;
} RC;

RC* RC_Init();
void RC_Quit(RC* rc);
void RC_Load(RC* rc, const char* file);
void RC_Save(RC* rc, const char* file);
const char* RC_Get(RC* rc, const char* key);
void RC_Set(RC* rc, const char* key, const char* val);

#ifdef __cplusplus
}
#endif

#endif // ! rc_h_
